Subject: Re: 23.0.95; facemenu-read-color should not require match

From: Chong Yidong <[email-masked]>
Date: Sun, 16 Aug 2009 14:10:58 -0400

"Drew Adams" <[email-masked]> writes:

> 1. I don't understand your change. Why define a `completer' function
> here, instead of just using `completing-read' directly as before? And
> you still pass `t' as the REQUIRE-MATCH parameter, so it's not clear
> to me how this accepts #RRRGGGBBB colors.

The completer function checks `color-defined-p' if the color passed by
the user is not a predefined color name.  That's how it accepts RGB
triplets.

> 2. Why don't you just use the function `read-color', defined in
> faces.el? That's exactly what it's for - it handles all colors
> correctly, including both named colors and #RRRGGGBBB (hex RGB string)
> colors.

That's true, we should probably merge facemenu-read-color and
read-color.